Name:		gq
Version:	1.3.4
Release:	%mkrel 18
Summary:	GQ is a GTK-based LDAP client
License:	GPLv2+
Group:		Databases
URL:		http://biot.com/gq/
Source0:	http://prdownloads.sourceforge.net/gqclient/%{name}-%{version}.tar.gz
Source11:	gq16.png
Source12:	gq32.png
Source13:	gq48.png
Patch1:		gq-1.3.4-mdv-fix-str-fmt.patch
Patch2:		gq-1.3.4-kerberos.patch
Patch3:		gq-1.3.4-configure.patch
Patch4:		gq-1.3.4-glibc.patch
Patch5:		gq-1.3.4-gcc.patch
Patch6:		gq-1.3.4-error.patch
Patch7:		gq-1.3.4-openssl11.patch
BuildRequires:	gnome-common
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(krb5)
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libglade-2.0)

%description
GQ is GTK+ LDAP client and browser utility. It can be used
for searching LDAP directory as well as browsing it using a
tree view.

%prep
%setup -q
%patch1 -p1 -b .strfmt
%patch2 -p1 -b .kerberos
%patch3 -p0 -b .configure
%patch4 -p1 -b .glibc
%patch5 -p1 -b .gcc
%patch6 -p1 -b .error
%patch7 -p1 -b .openssl11

%build
# fix build on aarch64
autoreconf -vfi -Imacros
%define _legacy_common_support 1
export LIBS="-lcrypto -L%{_libdir}"
%configure \
    --with-default-codeset=UTF-8 \
    --enable-cache \
    --with-kerberos-prefix=%{_prefix} \
    --enable-browser-dnd \
    --disable-scrollkeeper \
    --disable-update-mimedb

%make_build libdir="%{_libdir}"

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=GQ
Comment=GQ is a GTK-based LDAP client
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=GTK;Network;System;
EOF

#(peroyvind): replace menu with our own as it's more complete and valid ;)
rm -f %{buildroot}%{_datadir}/applications/gq.desktop

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# Macro for locales
%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README* TODO
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/gq
%{_iconsdir}/hicolor/16x16/apps/*
%{_datadir}/mime/packages/gq-ldif.xml
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/omf/gq-manual/gq-manual-C.omf
%lang(de) %{_datadir}/omf/gq-manual/gq-manual-de.omf


%changelog
* Sun Jun 28 2020 joequant <joequant> 1.3.4-18.mga8
+ Revision: 1599971
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 1.3.4-17.mga8
+ Revision: 1522210
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 23 2019 daviddavid <daviddavid> 1.3.4-16.mga7
+ Revision: 1360220
- disable scrollkeeper support

* Sun Sep 23 2018 umeabot <umeabot> 1.3.4-15.mga7
+ Revision: 1298055
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 1.3.4-14.mga7
+ Revision: 1238425
- fix build on aarch64

* Tue Sep 05 2017 cjw <cjw> 1.3.4-13.mga7
+ Revision: 1151483
- patch7: fix build with openssl 1.1

* Thu Feb 11 2016 umeabot <umeabot> 1.3.4-12.mga6
+ Revision: 954187
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 1.3.4-11.mga6
+ Revision: 879086
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 1.3.4-10.mga5
+ Revision: 740161
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.4-9.mga5
+ Revision: 679923
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.4-8.mga4
+ Revision: 532960
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 dlucio <dlucio> 1.3.4-7.mga4
+ Revision: 470423
- mga4 rebuild

* Sat Mar 23 2013 wally <wally> 1.3.4-6.mga3
+ Revision: 404663
- fix desktop file name
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1.3.4-5.mga3
+ Revision: 352556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 17 2012 dlucio <dlucio> 1.3.4-4.mga3
+ Revision: 271691
- bump release

* Tue Jul 17 2012 dlucio <dlucio> 1.3.4-3.mga3
+ Revision: 271686
- P4, P5 & P6 added
+ ennael <ennael>
- clean spec file
- imported package gq

